Packages - Freedom Issue #1653
[[dk9-openjdk][jre9-openjdk] Probably non-free the same way as (jdk|jre)(7|8)-openjdk
2018-02-28 10:39 AM - nRoof

Status: not-a-bug % Done: 0%
Priority: freedom issue

Assignee:

Category:

Description

Well, to be honest, | don't know the exact reason why Parabola maintains jdk / jre versions 7 and 8 in libre and blacklists these
packages from Arch. In blacklist.txt they are marked as [branding][FIXME:description].

So probably jdk9-openjdk and jre9-openjdk have the same freedom issues as versions 7 and 8.

History

#1 - 2018-04-18 11:30 AM - nRoof

As | understand, this issue can also be applied to jre9-openjdk-headless, and newly released jdk10-openjdk, jre10-openjdk and
jre10-openjdk-headless, which all came from Arch.

#2 - 2018-04-18 10:42 PM - lukeshu

blacklist.txt says it's just a branding change, not a real freedom issue.

Looking at openjdka, it looks like the only change is replacing archlinux-java with parabola-java in the install scripts. Since we ship a archlinux-java
compatibility alias, that shouldn't be nescessary. | think we should just ship Arch's versions of openjdk, and drop libre/java{7,8}-openjdk.

#3 - 2018-10-12 04:25 AM - ovruni

- Status changed from open to not-a-bug

#4 - 2018-10-23 04:49 PM - ovruni

java7 and java8 were removed from blacklist
